## tickr 0.6.4

=== glib-2.26.0-win32-patch/test/Makefile ===
src =	test.c

obj =	$(src:.c=.o)

CC =	gcc

CFLAGS = -O2 -Wall -Wextra `pkg-config --cflags glib-2.0`

LIBS =	--mms-bitfields `pkg-config --libs glib-2.0`

all:	test

$(obj): $(src) Makefile
	$(CC) $(CFLAGS) -c $(src)

test: $(obj)
	$(CC) -o test $(obj) $(LIBS)

## tickr 0.5.3

=== debian/changelog ===
tickr (0.5.3-1) unstable; urgency=low

  * Initial release (Closes: #638999)

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Fri, 19 Aug 2011 16:00:00 +0000

=== debian/control ===
Source: tickr
Section: net
Priority: optional
Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
Build-Depends: debhelper (>= 7.O.50~), autotools-dev, libgtk2.0-dev, libxml2-dev
Standards-Version: 3.9.2
Homepage: http://www.newsrssticker.com

Package: tickr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK-based highly graphically-customizable RSS Ticker
 Tickr is a GTK-based RSS Reader that displays feeds as a smooth scrolling
 line on your Desktop, as known from TV stations. Open feed links in your
 favourite Browser. Graphics are highly customizable.

=== debian/watch ===
version=3
http://www.newsrssticker.com/unstable-debian  (.*)\.tar\.gz

## tickr 0.5.4

=== debian/changelog ===
tickr (0.5.4-1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Evan Broder <evan@ebroder.net>  Mon, 28 Nov 2011 14:34:46 +0000

tickr (0.5.4-1) unstable; urgency=low

  * Fix sort_url_list(EMPTY_LIST) falsly returning one element list
    (in news_list.c.) Now, program doesn't hang anymore if lauched with
    no feed URLs selected.

  * Add in news_main.c: shift2left_callback():
    env->suspend_rq = TRUE / (cairo drawing code) / env->suspend_rq = FALSE

  * Tickr fails to build with ld --as-needed (recently-set-as-default
    linker flag) because libraries must be placed after objects needing
    theirs symbols.
    To fix that, we use autoconf macro PKG_CHECK_MODULES(GTK2, gtk+-2.0, ,)
    and PKG_CHECK_MODULES(XML2, libxml-2.0, ,) in configure.ac, and we
    may so remove `pkg-config --libs GTK+-2.0' and `xml-config --libs' from
    src/tickr/Makefile.am.
    (Closes: #647311 LP: #879880)

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Tue, 8 Nov 2011 16:00:00 +0000

## tickr 0.5.5

=== debian/changelog ===
tickr (0.5.5-1~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 04 Jan 2012 20:58:59 +0000

tickr (0.5.5-1) unstable; urgency=low

  * Implement new parameter: <mouse wheel scrolling apply to:
  * s = ticker-speed / f = feed-in-list / n = none>.

  * Set <ticker pause on mouse-over> as optional.

  * Select/highlight and scroll to added URL in the list window.

  * Split compute_surface_and_win() code into compute_surface and
    compute_win, because the later is not always necessary. When
    window-always-on-top is disabled, compute_win needs to be run only
    twice at program startup (ie once after gtk_widget_show_all() has been
    called), then whenever params are changed, but not every time a new
    feed is loaded.

  * Add preferences (settings) importing/exporting feature.

  * 'file' scheme support added in tickr_http.c -> enables reading *and*
    xml-processing of (local) text files (wheras 'open text file' *only*
    read them.)

  * 'HTTPS not supported' handling/warning added in tickr_http.c (fix bug:
    program freezes whith HTTP redirects to HTTPS.)

  * xml 'quick check' in tickr_http.c:format_quick_check() don't reject
    anymore valid (?) feeds not starting with '<?xml' (like google news.)

  * A few little changes in libetm-0.4 -> libetm-0.4.2.

  * Use mouse wheel to go to previous/next feed.

  * Hide passwords in connection settings window.

  * Pause ticker and show feed title in tooltip on mouse-over.

  * Renaming all source files: news_*.c/h -> tickr_*/c/h.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Sun, 18 Dec 2011 00:21:23 +0100

## tickr 0.6.1

=== debian/control ===
Source: tickr
Section: net
Priority: optional
Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgtk2.0-dev, libxml2-dev
Standards-Version: 3.9.3
Homepage: http://www.newsrssticker.com

Package: tickr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK-based highly graphically-customizable Feed Ticker
 Tickr is a GTK-based RSS/Atom Reader that displays feeds as a smooth
 scrolling line on your Desktop, as known from TV stations. Open feed
 links in your favourite Browser. Graphics are highly customizable.

=== debian/watch ===
version=3
http://www.newsrssticker.com/unstable-debian/  (.*)\.tar\.gz

## tickr 0.6.3

=== debian/changelog ===
tickr (0.6.3-1~ubuntu12.10.1) quantal-backports; urgency=low

  * No-change backport to quantal (LP: #1128947)

 -- Felix Geyer <debfx@ubuntu.com>  Thu, 09 May 2013 14:19:08 +0200

tickr (0.6.3-1) experimental; urgency=low

  * Fix messy update_everything() function and add new
    update_pixmap_from_opened_stream() function, used in tickr_mainc.c
    and tickr_prefwin.c.

  * All *string* values are now saved inclosed in a pair of " or '.
    (This avoid getting trailing whitespaces removed by some editors,
    and other weird things like that.) When read, enclosing " or ' are
    removed, so backward compatibility is preserved.

  * install-on-win32 script renamed build-on-win32 (for accuracy sake.)

  * Fix some confusion about win_transparency in tickr_param.c.
    Actually, double value from 0.1 to 1.0 inside program / int value
    from 1 to 10 inside config file or as command line argument.

  * Fix settings import doing nothing (regression bug).

  * In show_resource_info(), fix URL link and GTK label.

  * Move and set:
      #define N_STR_MAX		8
      #define STR_MAXLEN	FILE_NAME_MAXLEN	(128 previously)
    and remove duplicates.

  * In tickr_feedpicker.c, add:
      if (IS_FLIST(flist_bak))
        (  f_list_free_all(flist_bak);  )
    to fix: list crash (f_list_free_all(): Invalid node in list) after
    adding a feed to an empty list (when clicking OK).

  * Rename (#define RESOURCE_DUMP) APP_CMD"-resrc-dump" ->
    APP_CMD"-resrc-dump.xml" (because it *is* an XML file.)

  * Little changes in big_error() text.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Mon, 04 Feb 2013 17:12:37 +0100

tickr (0.6.2-1) experimental; urgency=low

  * Non standard feed rank support in OPML file.

  * Add new optional 'feed re-ordering by user' feature.

  * Add in libetm-0.4.4/str_mem.c/h: (int) str_is_num(const char *) and
    (int) str_is_blank(const char *).

  * In feed picker win, 'enter' in (rank_/url_)entry launches 'add/upd'
    (GTK_RESPONSE_ADD) instead of 'ok (single)' (GTK_RESPONSE_SINGLE).

  * Question at program start-up about new feed list format conversion:
    if version = 0.6.2 and feed list exists and feed list backup doesn't
    exist, create backup and convert to new format.

  * In tickr_feedpicker.c: fix 'cancel' action.

  * New func FList *f_list_clone(FList *) in tickr_list/c/h.

  * Use GTK_RESPONSE_CANCEL_CLOSE only.

  * In compute_surface_and_win(), remove:
      if (prm->icon_in_taskbar == 'n')
        gtk_window_deiconify(GTK_WINDOW(env->win));
    from update_win_dims() (why was it there?) to fix 'tickr keeps
    stealing focus' bug. Also replace params_have_been_changed() with
    win_params_have_been_changed(). (LP: #900759, #951452, #1017107)

  * Fix (regression bug) segfault which occurs when opening text file
    and attempting to 'format_resource()' 'not-generated-if-resource-is-
    file' XML_DUMP_EXTRA file.

  * Libetm version 0.4.3 -> 0.4.4 (see below.)

  * Add get_appdata-dir_w() in libetm-0.4.4:win32_specific.c and
    get_appdata_dir_utf8() in tickr_resource.c to fix non-ascii (for
    instance cyrillic) user name in app data dir issue on win32.
    Also remove seemingly useless g_win32_locale_filename_from_utf8()
    stuff on win32.

  * If 'item title' and 'item description' both unchecked in pref win,
    warn about 'pointless' setup and ask for confirmation before saving
    config.

  * Add new TickerEnv member (int) mouse_x_in_drwa used to continuously
    tracks (guess what?) mouse x position. Now we have:
    - tooltips with descriptions when ticker displays only titles
    and
    - tooltips with titles when ticker displays only descriptions.

  * Add fp_extra stuff in tickr_feedparser.c to get item titles /
    descriptions (in tooltips and others) when they are no displayed.

  * Remove tmp files when exiting tickr_resource.c:format_resource().

  * Add env->c_surf test in shift2left_callback(). (LP: #1011316)

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Sun, 15 Jul 2012 22:53:02 +0200

tickr (0.6.1-1) unstable; urgency=low

  * Add: 'quick setup' thing (in tickr_quicksetup.c) which is launched
    at program startup if config file doesn't exist.

  * Little improvements in layout of 'feed picker win' and 'preferences
    win'.

  * Fix a segfault that happens when trying to export params and no
    config file exists yet.

  * Make several windows that should not be resized by user, unresizable.

  * Fix Launchpad bug #1007346: When 'window always-on-top' is disabled,
    'visible on all user desktops' stops working.

  * If mouse wheel scrolling applies to speed (or feed), then Ctrl +
    mouse wheel scrolling applies to feed (or speed.)

  * No real code changes in libetm, only in comments, so no need for a
    new version number.

  * Update tickr_helptext.c and tickr.1 (man page.)

  * Add new cli option 'no-ui' (similar to 'instance-id') used by new
    IF_UI_ALLOWED macro and remove all #if USE_GUI occurences.

  * In tickr_list.c, free listfname before using it. Fixed by swapping 2
    lines:
      warning(FALSE, 4, "Can't save URL list ", listfname, ...);
      l_str_free(listfname);

  * Use/add #define
      FONT_MAXLEN		68
      ARBITRARY_TASKBAR_HEIGHT	25
    to replace a few 'magic' numeric values.

  * Rename: rss_title/description(_delimiter) ->
      item_title/description(_delimiter)
    then add new param: feed_title(_delimiter). Now we have:
    feed title / item title / item description.

  * Use table in resource properties window.

  * Fix a bug in f_list_load_from_file() in tickr_list.c which
    uncorrectly retrieves any feed title string containing TITLE_TAG_CHAR
    when TITLE_TAG_CHAR has not been removed from string first, for
    instance: 'NYT > World' -> ' World'.

  * New param: disable left-click.

  * Add 'check for updates' feature.

  * Launch 'import OPML file' if feed list doesn't exist.

  * Remove code changing get_params()->disable_popups value in


## tickr 0.6.4

=== debian/changelog ===
tickr (0.6.4-1) unstable; urgency=low

  * In pref windows, some setting changes (like 'read n items per feed')
    need the stream to be reloaded, so now we use:
      current_feed();
    instead of:
      update_pixmap_from_opened_stream();

  * Fix 'quick feed picker (selected feeds) closes when pointer leaves
    win area' and implement it as a setting.

  * In pref window, disabling screen limits updates win_y and win_w
    limits on the fly.

  * Max options number now set to 128.

  * Pref win changes:
    - remove 'system' colors buttons
    - increase gtk table row spacings

  * If gradient bg set, compute text shadow color no longer from
    bg_color but from gradient.

  * Quick feed picker (selected feeds) closes when pointer leaves win
    area. Plus: quick feed picker opened *also* by Ctrl + mouse
    right-click.

  * Complete RSS 1.0 support (Closes: #688099) and fix/rewrite a few
    things in feed parser code.

  * In tickr_feedparser.c: ending '\n' removed when adding string to
    XML_DUMP (left when adding string to XML_DUMP_EXTRA).

  * Replace update_win_dims() with update_win_dims_and_loc() so that if
    ticker location happens to be wrong, it's always and quickly reset.

  * Add RSS 1.0 (RDF) support.

  * In tickr_main.c / main(), change:
      gtk_widget_show_all(env->win);
      update_win_dims();
      gtk_main();
    to:
      gtk_widget_show_all(env->win);
      gtk_widget_set_size_request(env->win, 1, 1);
      gtk_window_resize(GTK_WINDOW(env->win), 1, 1);
      gtk_main();
    to try to get rid of "ghost" square window at startup (but is this
    fully effective ?)
    Also change:
      gtk_widget_set_size_request(env->win, 0, 0)
    to:
      gtk_widget_set_size_request(env->win, 1, 1)
    in update_win_dims().

  * In feed picker - multiple selection mode: start reading selection
    with highlighted feed - more exactly url in entry (if any) / first
    one otherwise.

  * Remove (useless ?) app version number from exported OPML feed list
    title.

  * Only a little editor issue - some editors get confused (geany colors
    get confused) by things like:
      THIS_IS_A_#DEFINE"____string____"
    so now we put a space in between, like this:
      THIS_IS_A_#DEFINE "____string____"

  * If win_w = 0, win_w = detected screen width (same as 'full width'
    but from command line).

  * Fix xml namespaces issue in tickr_feedparser.c, when, for instance,
    'media:title' exists along with 'title' and we then get 'title'
    twice. Now, we make sure no extra namespace is used before comparing
    strings with 'title', 'description', etc.

  * Fix stupid bug in format_resource() 'translate html entities' when
    '&' alone is detected (ie without a following ';'). Also fix
    'translating' numerical entities with leading '0' in value string.

  * New option 'disablescreenlimits' which allows win_y and win_w to be
    greater than screen dimensions.

  * A few default settings changed.

  * Gradient bg.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Thu, 23 May 2013 16:57:41 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
-Build-Depends: debhelper (>= 7.0.50~), autotools-dev, libgtk2.0-dev, libxml2-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), autotools-dev, libgtk2.0-dev, libxml2-dev
+Standards-Version: 3.9.4
 Homepage: http://www.newsrssticker.com
 
 Package: tickr

=== debian/watch ===
version=3
http://www.newsrssticker.com/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
#http://www.newsrssticker.com/src/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Mon, 28 Jan 2013 17:42:12 +0000

## tickr 0.7.0~beta3

=== debian/changelog ===
tickr (0.7.0~beta3-1~mx15+1) mx; urgency=medium

  * New beta release, rebuild for MX 15.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Apr 2018 12:18:43 -0700

tickr (0.7.0~beta1-1) trusty; urgency=low

  * Fix flickering on Linux Mint 18 Cinnamon because of call of
    update_win_dims_and_loc() every 500 ms. (Aug 15 2016)

  * Fix reverse scrolling feature remaining issues. NOT YET.

  * Reload delay now up to 1440 mn = 24 h. 0 = never force reload.
    Actually, in multiple selections mode, all feeds are always reloaded
    sequentially, because there is no caching involved.

  * Segfault signal (SIGSEGV) handling.

  * Change 'sfpickercloseswhenpointerleaves' option name to
    'sfeedpickerautoclose'.

  * Change 'mousewheelscroll' option name to 'mousewheelaction'.

  * Former "Preferences" dialog renamed to "Full Settings", and new easy
    setup dialog called "Preferences". Add tooltips. Also a few changes
    and fixes.

  * New 'current feed' button in feed organizer. Also add tooltips.

  * Find/use default browser on Linux.

  * Add default response parameter to question_win() and set default
    responses.

  * HTTPS support with GnuTLS.

  * load_resource() -> load_resource_from_selection() (first name is
    confusing/not descriptive enough).

  * New 'connect-timeout' and 'sendrecv-timeout' CLI only options, which
    override default timeout values, if proxy or slow internet link.
    Thanks to G4JC for his patch. (LP: #1475797)

  * New '-dumperrorcodes' CLI arg.

  * Now parse port numbers in URLs.

  * Implement reverse scrolling (ie L to R) option.

  * New '-dumpconfig' CLI arg.

  * New libetm l_str_insert_at_b() function.

  * In tickr_main.c: update_pixmap_from_opened_stream(), add
      if (resrc->fp != NULL)
    before
        fseek(resrc->fp, 0, SEEK_SET);
    to fix segfault when trying to open an invalid resource or a
    non-existing file from CLI.

  * Improved libetm error hanling and new tickr_error.c/h modules.

  * In check_main_win_always_on_top(), change:
      gtk_window_set_keep_above(GTK_WINDOW(env->win), BOOLEAN);
    to:
      gtk_window_set_keep_above(GTK_WINDOW(env->win), BOOLEAN);
      gdk_window_set_keep_above(GDK_WINDOW(env->win->window), BOOLEAN);
    to (try to) fix always-on-top issues on some DE, like:
    https://aur.archlinux.org/packages/tickr/
    Need feedback to know if this actually makes a difference.

  * Quick hack to fix remaining 1 pixel wide line when enabling then
    disabling left clock, because then vbox_clock/drwa_clock min size is
    still 1x1 (not 0x0) and is the first widget packed in main_hbox.
    So, when no clock is set, we make sure the 'empty clock widget' is
    always on the right side, ie we do:
    gtk_box_reorder_child(GTK_BOX(main_hbox), vbox_clock, 1)

  * When adding a feed to the feed list, new option to force an
    invalid/unreachable one to be kept anyways.

  * Add IS_FLIST() test in tickr_feedpicker.c:
    add_feed_to_flnode_and_list_store() to fix f_list_search() invalid
    node error, when trying to add one feed to an *empty* list.
    (LP: #1272129)

  * New free_all() function to release all allocated memory before
    exiting.

  * Fix maximizing feed organizer window doesn't expend scrolled window:
    gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->vbox), sc_win,
      TRUE, TRUE, 0);

  * Improved long strings formating in info_win() with
    insert_newlines_if_too_long().

  * Change g_remove() to g_unlink because we deal only with files. Also
    add a silly hack to prevent issues with win32 appdata dir user
    permissions holy mess.

  * 'disable screen limits' option now applies to x position too.

  * Add 'marked items' stuff in UI and params.

  * Change function names in menu_item array from function_name2 to
    function_name0 because function_name0 are always called before
    function_name so using 2 is just confusing.

  * A few changes in tickr_feedpicker.c (line 393).

  * Fix 'disablepopups' option not effective on 'no-ui' option and allow
    'no-ui' option to be effective if 1st *or* *2nd* arg.

  * Fix a few build/compile issues on win32.

  * Stream sockets API moved to libetm.

  * New libetm 'zboolean' type.

  * Not-working-as-expected and never-used win_with_spinner() stuff now
    commented out.

  * Feed title / item title / item description pages removed (commented
    out) from quick setup.

  * "Open Feed" in menu changed to "Feed Organizer" in tickr_main.c and
    "Feed Picker" window title changed to "Feed Organizer" in
    tickr_feedpicker.c.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Tue, 23 Aug 2016 19:03:22 +0200

tickr (0.6.2-1) unstable; urgency=low

  * Non standard feed rank support in OPML file.

  * Add new optional 'feed re-ordering by user' feature.

  * Add in libetm-0.4.4/str_mem.c/h: (int) str_is_num(const char *) and
    (int) str_is_blank(const char *).

  * In feed picker win, 'enter' in (rank_/url_)entry launches 'add/upd'
    (GTK_RESPONSE_ADD) instead of 'ok (single)' (GTK_RESPONSE_SINGLE).

  * Question at program start-up about new feed list format conversion:
    if version = 0.6.2 and feed list exists and feed list backup doesn't
    exist, create backup and convert to new format.

  * In tickr_feedpicker.c: fix 'cancel' action.

  * New func FList *f_list_clone(FList *) in tickr_list/c/h.

  * Use GTK_RESPONSE_CANCEL_CLOSE only.

  * In compute_surface_and_win(), remove:
      if (prm->icon_in_taskbar == 'n')
        gtk_window_deiconify(GTK_WINDOW(env->win));
    from update_win_dims() (why was it there?) to fix 'tickr keeps
    stealing focus' bug. Also replace params_have_been_changed() with
    win_params_have_been_changed(). (LP: #900759, #951452, #1017107)

  * Fix (regression bug) segfault which occurs when opening text file
    and attempting to 'format_resource()' 'not-generated-if-resource-is-
    file' XML_DUMP_EXTRA file.

  * Libetm version 0.4.3 -> 0.4.4 (see below.)



=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: tickr
 Section: net
 Priority: optional
-Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
-Build-Depends: debhelper (>= 9), autotools-dev, libgtk2.0-dev, libxml2-dev
-Standards-Version: 3.9.4
-Homepage: http://www.newsrssticker.com
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
+Build-Depends: debhelper (>= 9), autotools-dev, libgtk2.0-dev,
+               libxml2-dev, libgnutls28-dev
+Standards-Version: 3.9.8
+Homepage: http://www.open-tickr.net
 
 Package: tickr
 Architecture: any

## tickr 0.7.0

=== debian/changelog ===
tickr (0.7.0-3) unstable; urgency=low

  * Fix linking issues in tickr-0.7.0/src/tickr/Makefile.am:
        tickr_LDADD = ../libetm-0.5.0/libetm.a $(GTK2_LIBS) $(XML2_LIBS)\
        $(GNUTLS_LIBS) $(FRIBIDI_LIBS) -lm

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Sat, 13 Jun 2020 16:44:10 +0200

tickr (0.7.0-2) unstable; urgency=low

  * Add missing
      'libetm_a_LDFLAGS = -lm'
    in tickr-0.7.0/src/libetm-0.5.0/Makefile.am.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Thu, 11 Jun 2020 11:56:06 +0200

tickr (0.7.0-1) unstable; urgency=low

  * Fix segfaults and *freeze* with FList's when adding invalid or
    unreachable URLs (in tickr_feepicker.c).

  * Get correct link offsets with reverse scrolling.

  * Fix compiling issues for win32 version.

  * Fix incorrect visual display of bidi text with reverse scrolling.
    Will need more feedback anyways.

  * Fix the flickering-every-500-ms issue on Linux Mint 18 Cinnamon, as
    well as the weird on screen square artifact, in tickr_main.c:
    update_win_dims_and_loc(), thanks to Trevor Hemsley contribution.

  * Add time of OPML export (as a comment) in tickr_opml.c.

  * In tickr_feedpicker.c, change
      "Enter (rank and) URL:"
    to less confusing
      "<b>New Feed</b>  ->  Enter (rank and) URL:".

  * Static global var shift_counter now member of TickerEnv struct.

  * Fix no more functionnal check_for_updates() (https ? / website
    migration ?)

  * Fix get_resource()->link_and_offset big issues.

  * Fix segfaults in feed picker win -> add/update with unreachable or
    invalid URLs.

  * Replace __FUNCTION__ with __func__ in all src files, to fix new
   -Wpedantic warnings about non-standard predefined identifiers in gcc5.

  * Add donate button in about win.

  * Fix many program startup issues

  * get_new_url() renamed manage_list_and_selection().

  * Fix UTF-8 encoding related issues.

  * Remove 'cutline-delimiter' param, not used/needed anymore.

  * New params: 'clocksec', 'clock12h' and 'clockdate'.

  * Now using logging macros from libetm.

  * New 'connect-timeout' and 'sendrecv-timeout' CLI options are now
    settings (saved in config file). Add them in connection settings
    win.

  * Add 'full settings' and 'connection settings' buttons in quick
    settings win, and 'connection settings' button in full settings
    win.

  * New 'override_redirect' param (*very* experimental).

  * Remove unusable 'fullscreen' param.

  * Allow authentication username and proxy username to contain spaces.

  * Try to fix flickering on Linux Mint 18 Cinnamon because of calling
    update_win_dims_and_loc() every 500 ms. Not working.

  * New *experimental* 'fullscreen' param.

  * Add HTTP status code 410: Gone.

  * info_win_wait() renamed info_win_no_block(), which is less
    confusing, plus BLOCK/NO_BLOCK helpers for warning().

  * Improved big_error() and warning().

  * Fix a few reverse scrolling issues. Still a lot to do.

  * Reload delay now up to 1440 mn = 24 h. 0 = never force reload.
    Actually, in multiple selections mode, all feeds are always reloaded
    sequentially, because there is no caching mechanism involved.

  * Segfault signal (SIGSEGV) handling.

  * Change 'sfpickercloseswhenpointerleaves' option name to
    'sfeedpickerautoclose'.

  * Change 'mousewheelscroll' option name to 'mousewheelaction'.

  * Former "Preferences" dialog renamed to "Full Settings", and new easy
    setup dialog called "Preferences". Add tooltips. Also a few changes
    and fixes.

  * New 'current feed' button in feed organizer. Also add tooltips.

  * Find/use default browser on Linux.

  * Add default response parameter to question_win() and set default
    responses.

  * HTTPS support with GnuTLS.

  * load_resource() -> load_resource_from_selection() (first name is
    confusing/not descriptive enough).

  * New 'connect-timeout' and 'sendrecv-timeout' CLI only options, which
    override default timeout values, if proxy or slow internet link.
    Thanks to G4JC for his patch. (LP: #1475797)

  * New '-dumperrorcodes' CLI arg.

  * Now parse port numbers in URLs.

  * Implement reverse scrolling (ie L to R) option.

  * New '-dumpconfig' CLI arg.

  * New libetm l_str_insert_at_b() function.

  * In tickr_main.c: update_pixmap_from_opened_stream(), add
      if (resrc->fp != NULL)
    before
        fseek(resrc->fp, 0, SEEK_SET);
    to fix segfault when trying to open an invalid resource or a
    non-existing file from CLI.

  * Improved libetm error handling and new tickr_error.c/h modules.

  * In check_main_win_always_on_top(), change:
      gtk_window_set_keep_above(GTK_WINDOW(env->win), BOOLEAN);
    to:
      gtk_window_set_keep_above(GTK_WINDOW(env->win), BOOLEAN);
      gdk_window_set_keep_above(GDK_WINDOW(env->win->window), BOOLEAN);
    to (try to) fix always-on-top issues on some DE, like:
    https://aur.archlinux.org/packages/tickr/
    Need feedback to know if this actually makes a difference.

  * Quick hack to fix remaining 1 pixel wide line when enabling then
    disabling left clock, because then vbox_clock/drwa_clock min size is
    still 1x1 (not 0x0) and is the first widget packed in main_hbox.
    So, when no clock is set, we make sure the 'empty clock widget' is
    always on the right side, ie we do:
    gtk_box_reorder_child(GTK_BOX(main_hbox), vbox_clock, 1)

  * When adding a feed to the feed list, new option to force an
    invalid/unreachable one to be kept anyways.

  * Add IS_FLIST() test in tickr_feedpicker.c:
    add_feed_to_flnode_and_list_store() to fix f_list_search() invalid
    node error, when trying to add one feed to an *empty* list.
    (LP: #1272129)

  * New free_all() function to release all allocated memory before
    exiting.

  * Fix maximizing feed organizer window doesn't expend scrolled window:
    gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->vbox), sc_win,
      TRUE, TRUE, 0);

  * Improved long strings formatting in info_win() with


=== debian/control ===
Source: tickr
Section: net
Priority: optional
Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
Build-Depends: debhelper (>= 9), libgtk2.0-dev, libxml2-dev, libgnutls28-dev, libfribidi-dev
Standards-Version: 4.5.0
Homepage: https://www.open-tickr.net

Package: tickr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GTK-based highly graphically-customizable Feed Ticker
 Tickr is a GTK-based RSS/Atom Reader that displays feeds as a smooth
 scrolling line on your Desktop, as known from TV stations. Open feed
 links in your favourite Browser. Graphics are highly customizable.

=== debian/watch ===
version=3
#http://www.newsrssticker.com/src/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

#http://www.newsrssticker.com/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Mon, 28 Jan 2013 17:42:12 +0000

#http://www.open-tickr.net/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Emmanuel Thomas-Maurin <manutm007@gmail.com>  Thu, 02 Apr 2015 02:19:09 +0200

#opts=pgpsigurlmangle=s/$/.asc/ http://www.open-tickr.net/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Emmanuel Thomas-Maurin <manutm007@gmail.com>  Thu, 02 Apr 2015 02:19:09 +0200

https://www.open-tickr.net/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
# Emmanuel Thomas-Maurin <manutm007@gmail.com>  Fri, 29 May 2020 11:34:35 +0200

## tickr 0.7.1

=== debian/changelog ===
tickr (0.7.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1097996)

 -- Adrian Bunk <bunk@debian.org>  Sat, 25 Oct 2025 14:25:32 +0300

tickr (0.7.1-1) unstable; urgency=low

  * New clock_alt_date_form option: Use alternative date format, ie
    'Mon 01 Jan' instead of 'Mon Jan 01'.

  * A few things in tickr_http.c, tickr_feedpicker.c, help text and man
    page.

  * In tick_prefwin.c, 'reset all settings' doesn't fully update Tickr
    appearance when reopening dialog (need 'apply'), so no more
    reopening.

  * New function tickr_feepicker.c/check_and_update_feed_url() to
    simplify code. Help to fix segfaults in:
    - tickr_feepicker.c/add_feed_to_flnode_and_list_store()
    - tickr_feepicker.c/manage_list_and_selection()
    - tickr_opml.c/get_opml_selected_element()
  (LP: #1272129)

  * Try to better document/comment tickr_http.c/fetch_resource(), which
    was a bit confusing.

  * OPML import: feed URLs updated if moved-permanently redirects.

  * Complete OPML export format: opml v = 2.0, <outline> has only text
    and xmlUrl attributes, for maximum comptability.

  * Fix icon location in tickr.dektop.

  * When sorting feed list (by url), now compare strings after ":", with
    get_url_beyond_scheme().

  * In tickr_resource.c/format_resource_str(), no need to 'translate'
    html entities anymore, so some code removed. The issue was related
    to an old version of Libxml2.

  * Remove testing type="rss" when importing OPML file in tickr_opml.c,
    plus other issues.

  * We want command line args "--instance-id=" and "--no-ui" to be valid
    too (as are all other args and options) in tickr_main.c.

  * Install tickr-icon.png also in /usr/share/icons/hicolor/64x64/apps/

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Sat, 24 Jul 2021 11:40:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: net
 Priority: optional
 Maintainer: Emmanuel Thomas-Maurin <manutm007@gmail.com>
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, libxml2-dev, libgnutls28-dev, libfribidi-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), libgtk2.0-dev, libxml2-dev, libgnutls28-dev, libfribidi-dev
+Standards-Version: 4.6.0
 Homepage: https://www.open-tickr.net
+Rules-Requires-Root: no
 
 Package: tickr
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND = -std=gnu17

%:
	dh $@

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 #http://www.newsrssticker.com/src/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
 
 #http://www.newsrssticker.com/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
@@ -10,5 +10,8 @@
 #opts=pgpsigurlmangle=s/$/.asc/ http://www.open-tickr.net/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
 # Emmanuel Thomas-Maurin <manutm007@gmail.com>  Thu, 02 Apr 2015 02:19:09 +0200
 
-https://www.open-tickr.net/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
+#https://www.open-tickr.net/list_all_downloadables.php .*/tickr-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
 # Emmanuel Thomas-Maurin <manutm007@gmail.com>  Fri, 29 May 2020 11:34:35 +0200
+
+https://www.open-tickr.net/list_all_downloadables.php .*/tickr-([\d.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
+# Emmanuel Thomas-Maurin <manutm007@gmail.com>  Fri, 20 Aug 2021 16:26:07 +0200

## tickr 1.0.2

=== DESCRIPTION ===
Package: tickr
Type: Package
Title: Consistent Axis Tick Marks
Version: 1.0.2
Authors@R: c(
    person(given = "Benjamin C.",
           family = "Williams",
           email = "kleheni@gmail.com", 
           role = c("aut", "cre"), 
           comment = c(ORCID = "0000-0001-7295-2076"))
    )
Maintainer: Benjamin C. Williams <kleheni@gmail.com>
Description: This is a small package to provide consistent tick marks for plotting 'ggplot2' figures. 
    It provides breaks and labels for 'ggplot2' without requiring 'ggplot2' to be installed.
License: MIT + file LICENSE
Encoding: UTF-8
Imports: ggplot2, magrittr, rlang
RoxygenNote: 7.3.2
Suggests: knitr, rmarkdown, testthat (>= 3.0.0)
Config/testthat/edition: 3
URL: https://github.com/ben-williams/tickr
NeedsCompilation: no
Packaged: 2025-04-09 17:00:52 UTC; Ben.Williams
Author: Benjamin C. Williams [aut, cre]
    (<https://orcid.org/0000-0001-7295-2076>)
Repository: CRAN
Date/Publication: 2025-04-10 14:30:05 UTC
